<?php

namespace Planaday\Html\NodeTags\Course\Search;

use Planaday\Config\OptionGroupEnum;

enum SearchOptionsEnum: string implements OptionGroupEnum {
	case FormTitle = 'FormTitle';
	case AskTitle = 'AskTitle';
	case AskLocation = 'AskLocation';
	case AskLabels = 'AskLabels';
	case AskCode95 = 'AskCode95';
	case AskSoob = 'AskSoob';
	case AskStap = 'AskStap';
	case AskELearning = 'AskELearning';
	case PageToSendTo = 'PageToSendTo';


	public static function getClassName(): string {
		return SearchSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
